<ng-container *appVar="(company$ | async) as company">
  <ng-container *appVar="(isLoading$ | async) as isLoading">
    <ng-container *ngIf="!isNil(company) && !isLoading; else createCompanyTemplate">
      <div class="title-h2">{{ company.title }}</div>

      <div class="m-t-8 body-1 text-secondary">
        <span class="company-meta-info">ID {{ company.id }}</span> |

        <span>Компания создана {{company.createdDate | date: 'dd-MM-yyyy'}}</span>
      </div>

      <mat-tab-group mat-stretch-tabs="false"
                     mat-align-tabs="start"
                     class="company-tabs m-t-16"
                     [selectedIndex]="selectedIndex"
                     (selectedIndexChange)="onSelectedIndexChange($event)"
      >
        <mat-tab label="Сведения о компании">
          Сведения о компании
        </mat-tab>

        <mat-tab label="Аккредитации">
          Сведения об аккредитациях
        </mat-tab>

        <mat-tab label="Достижения">
          <app-achievement-list></app-achievement-list>
        </mat-tab>
      </mat-tab-group>
    </ng-container>

    <ng-template #createCompanyTemplate>
      <ng-container *ngIf="isLoading">
        Загрузка данных...
      </ng-container>


     <ng-container *ngIf="!isLoading">
       <p>У вас ещё нет компании. Вы хотите присоеденится к компании?</p>
       <input [(ngModel)]="companyId">
       <button (click)="joinCompany()">Присоеденится</button>
     </ng-container>
    </ng-template>
  </ng-container>
</ng-container>
